当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : sopcast好像和原来的不一样了,有人成功吗?[已解决]
帖子发表于 : 2007-10-28 20:11 

注册: 2006-03-11 3:35
帖子: 125
送出感谢: 0 次
接收感谢: 0 次
这是从站上转过来的。

SopCast 1.0.2 linux版


命令行版本:

http://download.sopcast.com/download/sp-auth.tgz
请在安装之前阅读软件包中的Readme,了解使用说明和库的依赖关系。

如果需要stdc++5库,从以下地址下载:
http://www.sopcast.com/download/libstdcpp5.tgz
注意:如果您可以运行sp-sc,没有必要下载libstdcpp5.tgz库。

图形界面版本:

rpm:http://apt.magiclinux.org/magic/2.1/unstable/RPMS.os/qsopcast-0.2.4-4mgc.i686.rpm
srpm:http://apt.magiclinux.org/magic/2.1/unstable/SRPMS.os/qsopcast-0.2.4-4mgc.src.rpm

图形界面版本是有Liu Di和Wei Lian开发的,特别致谢!


最后由 klz1007 编辑于 2007-12-02 10:46,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-10-28 20:31 
头像

注册: 2006-10-21 12:03
帖子: 1746
地址: Shanghai
送出感谢: 0 次
接收感谢: 0 次
那个图形界面的 rpm 包地址链接有问题.....


_________________
.

私人空间
附有 Magic Linux 2.1 最新开发日志~
引用:


미안하다, 사랑한다




欢迎来 #xfce-cn 中文频道~~


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-10-29 19:27 

注册: 2006-03-11 3:35
帖子: 125
送出感谢: 0 次
接收感谢: 0 次
这是它的readme文件

引用:
SopCast client version 1.0.2 library dependency
If you don't have stdc++ 5 in your system, please download the libstdcpp5.tgz from
www.sopcast.com, and copy the
libstdc++.so.5
libstdc++.so.5.0.1
to /usr/lib/

The copy command must be:
cp -a libstdc++.so.5* /usr/lib
With '-a' parameter, and you must login as root.

1. sp-sc-auth

A simple example of sp-sc command line.
./sp-sc-auth sop://broker.sopcast.com:3912/6098 3908 8908 > /dev/null &
Start to transfer channel 6098, and you can play it on 8908 with VLC or mplayer
by open the url: http://localhost:8908/tv.asf

2. sp-so-auth

you must install VLC compiled by SopCast and use sp-so-auth to broadcast a channel

2.1 install VLC
login with root
cp /the/package/vlc-install-utf8-pid-getport.tgz /
tar zxvf vlc-install-utf8-pid-getport.tgz

2.2 sp-so-auth
./sp-so-auth -r mmsh://192.168.1.1:8080 -u "user@youremail.com:passwd" -i 6050 broker.sopcast.com 3912 3909 'channel name' 127.0.0.1:3940 3941 >/dev/null &

Thanks and enjoy it.


有人成功吗?


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-11-03 1:38 
头像

注册: 2006-10-24 1:03
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
没有问题,跟以前一样安装,在坛子里找了个0.28版的gsopcst,挺好。vlc我之前就从源里装过了,我比较喜欢的播放器。不过gsopcast里还是用了mplayer。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-11-03 8:25 
头像

注册: 2007-01-15 17:15
帖子: 3766
送出感谢: 0 次
接收感谢: 0 次
播放器是自选的,,可以用mplayer , 也可以用别的 ... 配置里边可以改 , 论坛有 deb 包 ,


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-12-02 10:45 

注册: 2006-03-11 3:35
帖子: 125
送出感谢: 0 次
接收感谢: 0 次
谢谢,问题解决了,原来就是把下面两个文件改一下就可以了,
sp-sc-auth---->sp-sc
sp-so-auth---->sp-so
将这两个文件cp到/usr/local/bin
再安装gsopcast or qsopcast就可以了。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-12-02 15:49 
头像

注册: 2007-10-21 18:36
帖子: 3235
地址: 汕头/广东/中国
送出感谢: 2
接收感谢: 3
引用:
再安装gsopcast or qsopcast就可以了。


上哪里安装啊?源里面没有


_________________
老子的哲学是“”,庄子的哲学是“
人有一技在身,则逍遥游而无不为


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-12-02 20:36 
头像

注册: 2007-10-07 18:04
帖子: 143
送出感谢: 0 次
接收感谢: 0 次
好像也没找到amd64版的,都是i386


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译